Create location

POST /api/v1/inventory/locations

Create a new inventory location.

Operation ID: create_location_api_v1_inventory_locations_post · View as markdown · OpenAPI slice

Authentication

Bearer token authentication. Pass your DayZero API token in the Authorization header and the target business UUID in x-business-id.

Request body

name string required

Location name

code string

Short code like 'WH1', 'STORE-NYC'

location_type LocationTypeEnum LocationTypeEnum

Type of location

address_line1 string
address_line2 string
city string
state string
postal_code string
country string
is_default boolean

Default location for new inventory

is_active boolean

Whether location accepts new inventory

contact_name string
contact_email string
contact_phone string
notes string

Responses

201 Successful Response

name string required

Location name

code string

Short code like 'WH1', 'STORE-NYC'

location_type LocationTypeEnum LocationTypeEnum

Type of location

address_line1 string
address_line2 string
city string
state string
postal_code string
country string
is_default boolean

Default location for new inventory

is_active boolean

Whether location accepts new inventory

contact_name string
contact_email string
contact_phone string
notes string
id string required
business_id string required
archived boolean required
full_address string
display_name string required
can_receive_inventory boolean required
created_at string · date-time required
updated_at string · date-time required
shopify_location_id string

400 Bad Request - Invalid input

401 Unauthorized - Authentication required

403 Forbidden - Insufficient permissions

422 Validation Error

detail array · ValidationError ValidationError
5 fields
loc array · string | integer required
msg string required
type string required
input object
ctx object